﻿var siteLoaded = false;
var secondsLeft = 10;
var timerVar;

function startLoadingTimer() {
    if (siteLoaded)
        return;

    if (secondsLeft > 0) {
        secondsLeft--;
        setTimeout(startLoadingTimer, 1000);
    }
    else {
        $('#divLoading').hide();
        $('#divNotAvailable').show();
        $('#divNoConnection').hide();
    }
}

function cannotReachRCI() {
    siteLoaded = true;
    $('#divLoading').hide();
    $('#divNotAvailable').hide();
    $('#divNoConnection').show();
}

function retryConnection() {
    location.reload();
}

// Run when the device is ready to go...
function deviceIsReady() {
    // Bind menu button
    document.addEventListener("menubutton", onMenuKeyDown, false);
}

// Function to get the height and width of the device to set the iframe width and height
function fixgeometry() {
    var screenHeight = $('.ui-mobile').outerHeight(true);
    var screenWidth = $('.ui-mobile').outerWidth(true);
    $('#rciFrame').height(screenHeight + 1);
    $('#rciFrame').width(screenWidth);
}

// Menu button pressed function
function onMenuKeyDown() {
    $('#popupMenu').popup('open');
}

function closeClicked() {
    navigator.app.exitApp();
}

function onLoad() {
    // Bind  to the device ready to run our function when its ready
    document.addEventListener("deviceready", function () {
        deviceIsReady();
    }, true);

    // Bind to orientation, resize and pageshow to set the height and width of our iframe.
    $(window).bind("orientationchange resize pageshow", fixgeometry);

    fixgeometry();

    startLoadingTimer();
}

var eventMethod = window.addEventListener ? "addEventListener" : "attachEvent";
var eventer = window[eventMethod];
var messageEvent = eventMethod == "attachEvent" ? "onmessage" : "message";

// Listen to message from child window
eventer(messageEvent, function (e) {
    var key = e.message ? "message" : "data";
    var data = e[key];
    //run function//
    if (data == "CLOSE")
        closeClicked();
    if (data == "LOADED") {        
        //$('#divLoading').hide();
        siteLoaded = true;
        fixgeometry();
        $('#divNoConnection').hide();
        $('#divLoading').hide();
        $('#divNotAvailable').hide();
        $('#divFrame').show();
        navigator.splashscreen.hide();
    }
    if (data.substring(0, 3) == "NAV") {
        window.open(data.substring(4), "_system");
    }
    //alert(data);
}, false);
